Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225965 - Merge Review: kdepim
Summary: Merge Review: kdepim
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 227227 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:15 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-06 12:44:28 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:15:23 UTC
Fedora Merge Review: kdepim

http://cvs.fedora.redhat.com/viewcvs/devel/kdepim/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-02-03 20:23:10 UTC

*** This bug has been marked as a duplicate of 227227 ***

Comment 2 Rex Dieter 2007-02-07 13:33:46 UTC
On retrospect, makes much more sense to review Core package as-is, and discuss
mods and co-maintainership after.

Comment 3 Rex Dieter 2007-02-07 13:35:25 UTC
*** Bug 227227 has been marked as a duplicate of this bug. ***

Comment 4 Rex Dieter 2007-03-04 22:22:34 UTC
$rpmlint kdepim-3.5.6-2.fc7.i386.rpm 
E: kdepim invalid-soname /usr/lib/libremotekonnector.so libremotekonnector.so
E: kdepim invalid-soname /usr/lib/libknodecommon.so libknodecommon.so
E: kdepim invalid-soname /usr/lib/libkmailprivate.so libkmailprivate.so
E: kdepim invalid-soname /usr/lib/libkcalkonnector.so libkcalkonnector.so
E: kdepim invalid-soname /usr/lib/libqtopiakonnector.so libqtopiakonnector.so
E: kdepim invalid-soname /usr/lib/liblocalkonnector.so liblocalkonnector.so
E: kdepim invalid-soname /usr/lib/libakregatorprivate.so libakregatorprivate.so
E: kdepim invalid-soname /usr/lib/libkabckonnector.so libkabckonnector.so
E: kdepim file-in-usr-marked-as-conffile /usr/share/config/kmail.antispamrc
E: kdepim file-in-usr-marked-as-conffile /usr/share/config/kmail.antivirusrc
E: kdepim file-in-usr-marked-as-conffile /usr/share/config/libkleopatrarc
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_bookmark_xxport.la
E: kdepim script-without-shellbang /usr/lib/libindex.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kpilot.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_todoplugin.la
E: kdepim script-without-shellbang /usr/lib/libkitchensyncui.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_groupwise.la
E: kdepim script-without-shellbang /usr/lib/kde3/libksync_pluckerpart.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_korganizerplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/libgroupwisewizard.la
E: kdepim script-without-shellbang /usr/lib/libkabc_slox.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_knodeplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/libakregatorpart.la
E: kdepim script-without-shellbang /usr/lib/kde3/ldifvcardthumbnail.la
E: kdepim script-without-shellbang /usr/lib/kde3/kded_networkstatus.la
E: kdepim script-without-shellbang /usr/lib/kde3/kfile_palm.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_distributionlist.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_summaryplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_knotesplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_sdsummary.la
E: kdepim script-without-shellbang /usr/lib/libakregatorprivate.la
E: kdepim script-without-shellbang /usr/lib/libkpimidentities.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_tableview.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_address.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_specialdatesplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/libknodepart.la
E: kdepim script-without-shellbang /usr/lib/kde3/knotes_kolab.la
E: kdepim script-without-shellbang /usr/lib/kde3/kabc_xmlrpc.la
E: kdepim script-without-shellbang /usr/lib/libkabckonnector.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/kmail/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/kmail/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/kde3/kfile_vcf.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_resourceselection.la
E: kdepim script-without-shellbang /usr/lib/kde3/libexchangewizard.la
E: kdepim script-without-shellbang /usr/lib/libksync2.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkitchensyncpart.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddressbookpart.la
E: kdepim script-without-shellbang /usr/lib/libkgroupwaredav.la
E: kdepim script-without-shellbang /usr/lib/libkorganizer.la
E: kdepim script-without-shellbang /usr/lib/libkabinterfaces.la
E: kdepim script-without-shellbang
/usr/lib/kde3/libkmail_bodypartformatter_application_octetstream.la
E: kdepim script-without-shellbang /usr/lib/libkabc_groupdav.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/multisynk/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/multisynk/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang
/usr/share/apps/kconf_update/korn-3-5-metadata-update.pl
E: kdepim script-without-shellbang /usr/lib/libkgroupwarebase.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_kolab.la
E: kdepim script-without-shellbang /usr/lib/libkaddressbook.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_weatherplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/libksync_viewer.la
E: kdepim script-without-shellbang /usr/lib/kde3/kabc_newexchange.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_localdir.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_xmlrpc.la
E: kdepim script-without-shellbang /usr/lib/libkcal_groupwise.la
E: kdepim script-without-shellbang /usr/lib/libkorganizer_calendar.la
E: kdepim script-without-shellbang /usr/lib/libqtopiakonnector.la
W: kdepim devel-file-in-non-devel-package /usr/bin/indexlib-config
E: kdepim script-without-shellbang /usr/lib/kde3/libksfilter_addressbook.la
E: kdepim script-without-shellbang /usr/lib/libknotes_xmlrpc.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_popmail.la
E: kdepim script-without-shellbang /usr/lib/libkorganizer_eventviewer.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_ldif_xxport.la
E: kdepim script-without-shellbang /usr/lib/kde3/libsloxwizard.la
E: kdepim script-without-shellbang /usr/lib/libkcal_newexchange.la
E: kdepim script-without-shellbang /usr/lib/kde3/libmultisynkpart.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_kabc.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/konsolekalendar/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative
/usr/share/doc/HTML/en/konsolekalendar/common /usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/liblocalkonnector.la
E: kdepim script-without-shellbang /usr/lib/libkabc_xmlrpc.la
E: kdepim script-without-shellbang /usr/lib/libkpinterfaces.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_akregator.la
E: kdepim script-without-shellbang /usr/lib/kde3/kio_mbox.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkorg_hebrew.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_knode.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/kpilot/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/kpilot/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/kde3/libakregator_mk4storage_plugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_karm.la
E: kdepim script-without-shellbang /usr/lib/kde3/kfile_ics.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_kmailplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_csv_xxport.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/kalarm/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/kalarm/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/libmimelib.la
E: kdepim script-without-shellbang /usr/lib/kde3/libksync_syncerpart.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kontactsummary.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kabconfig.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_memofile.la
E: kdepim script-without-shellbang /usr/lib/kde3/plugins/designer/kdepimwidgets.la
E: kdepim script-without-shellbang /usr/lib/libkcal_groupdav.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_time.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_local.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_iconview.la
E: kdepim script-without-shellbang /usr/lib/kde3/libksync_debugger.la
E: kdepim script-without-shellbang /usr/lib/libkpimexchange.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_newexchange.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_cryptosettings.la
E: kdepim script-without-shellbang /usr/lib/libknodecommon.la
E: kdepim script-without-shellbang /usr/lib/kde3/kabc_groupdav.la
E: kdepim script-without-shellbang /usr/lib/libkcal_resourcefeatureplan.la
E: kdepim script-without-shellbang /usr/lib/libmultisynk.la
E: kdepim script-without-shellbang /usr/lib/libkcalkonnector.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_newstickerplugin.la
E: kdepim script-without-shellbang
/usr/lib/kde3/plugins/designer/kpartsdesignerplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_notepad.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/akregator/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/akregator/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kabldapconfig.la
E: kdepim script-without-shellbang
/usr/lib/kde3/libkmail_bodypartformatter_text_calendar.la
E: kdepim script-without-shellbang /usr/lib/kde3/kabc_kolab.la
E: kdepim script-without-shellbang /usr/lib/libksieve.la
E: kdepim script-without-shellbang /usr/lib/libkpilot.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_slox.la
E: kdepim script-without-shellbang /usr/lib/libkcal.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kleopatra.la
E: kdepim script-without-shellbang
/usr/lib/kde3/libkmail_bodypartformatter_text_vcard.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkolabwizard.la
E: kdepim script-without-shellbang /usr/lib/libqgpgme.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_remote.la
E: kdepim script-without-shellbang /usr/lib/libkonnector.la
E: kdepim script-without-shellbang /usr/lib/libktnef.la
E: kdepim script-without-shellbang /usr/lib/libkcal_resourceremote.la
E: kdepim script-without-shellbang
/usr/lib/kde3/libkmail_bodypartformatter_text_xdiff.la
E: kdepim script-without-shellbang
/usr/share/apps/kconf_update/korn-3-5-ssl-update.pl
E: kdepim script-without-shellbang /usr/lib/kde3/libkorg_exchange.la
E: kdepim script-without-shellbang /usr/lib/kde3/kabc_slox.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_knotes.la
E: kdepim script-without-shellbang /usr/lib/kde3/libksync_restore.la
E: kdepim script-without-shellbang /usr/lib/libgpgme++.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_eudora_xxport.la
E: kdepim script-without-shellbang /usr/lib/libkorg_stdprinting.la
E: kdepim script-without-shellbang /usr/lib/libksync.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_pab_xxport.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_todo.la
E: kdepim script-without-shellbang /usr/lib/libkmime.la
E: kdepim script-without-shellbang /usr/lib/kde3/knotes_xmlrpc.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kontactknt.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/kwatchgnupg/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/kwatchgnupg/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_groupdav.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/kontact/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/kontact/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/kde3/libkorg_journalprint.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcal_resourcefeatureplan.la
E: kdepim script-without-shellbang /usr/lib/kde3/kio_sieve.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/kaddressbook/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/kaddressbook/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/kde3/libkorg_datenums.la
E: kdepim script-without-shellbang /usr/lib/kde3/kio_groupwise.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_journalplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_vcard_xxport.la
E: kdepim script-without-shellbang /usr/lib/kde3/libksfilter_calendar.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_vcal.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_kaddressbookplugin.la
E: kdepim script-without-shellbang /usr/lib/kde3/kio_imap4.la
E: kdepim script-without-shellbang /usr/lib/libremotekonnector.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_sysinfo.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_opera_xxport.la
E: kdepim script-without-shellbang /usr/lib/kde3/resourcecalendarexchange.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/karm/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/karm/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/libkcal_slox.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kabcustomfields.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_korgsummary.la
E: kdepim script-without-shellbang /usr/lib/libkode.la
E: kdepim script-without-shellbang /usr/lib/libkabc_newexchange.la
E: kdepim script-without-shellbang /usr/lib/libkpgp.la
E: kdepim script-without-shellbang /usr/lib/libkleopatra.la
E: kdepim script-without-shellbang /usr/lib/kde3/conduit_doc.la
E: kdepim script-without-shellbang /usr/lib/libknoteskolab.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kmail.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/kandy/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/kandy/common
/usr/share/doc/HTML/en/common
W: kdepim dangling-symlink /usr/share/doc/HTML/en/korganizer/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/korganizer/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/libkabckolab.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkorganizerpart.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/knotes/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/knotes/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/libkocorehelper.la
E: kdepim script-without-shellbang /usr/lib/libkabc_groupwise.la
E: kdepim script-without-shellbang /usr/lib/kde3/kabc_groupwise.la
E: kdepim script-without-shellbang /usr/lib/libkgantt.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/korn/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/korn/common
/usr/share/doc/HTML/en/common
W: kdepim dangling-symlink /usr/share/doc/HTML/en/ktnef/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/ktnef/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/kde3/libkorg_yearlyprint.la
E: kdepim script-without-shellbang /usr/lib/kde3/knotes_local.la
E: kdepim script-without-shellbang /usr/lib/libkcal_xmlrpc.la
E: kdepim script-without-shellbang /usr/lib/libkholidays.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkarmpart.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkmailpart.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_cardview.la
E: kdepim script-without-shellbang /usr/lib/kde3/liboverviewpart.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_kpilotplugin.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/knode/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/knode/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/kde3/libksync_backup.la
E: kdepim script-without-shellbang /usr/lib/libkcalkolab.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_korganizer.la
E: kdepim script-without-shellbang /usr/lib/libkmailprivate.la
E: kdepim script-without-shellbang /usr/lib/libkslox.la
E: kdepim script-without-shellbang /usr/lib/libkontact.la
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kmailsummary.la
E: kdepim script-without-shellbang /usr/lib/libkdepim.la
W: kdepim dangling-symlink /usr/share/doc/HTML/en/kleopatra/common
/usr/share/doc/HTML/en/common
W: kdepim symlink-should-be-relative /usr/share/doc/HTML/en/kleopatra/common
/usr/share/doc/HTML/en/common
E: kdepim script-without-shellbang /usr/lib/kde3/kcm_kontact.la
E: kdepim script-without-shellbang /usr/lib/kde3/libegroupwarewizard.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkaddrbk_kde2_xxport.la
E: kdepim script-without-shellbang /usr/lib/kde3/libkontact_multisynk.la


Comment 5 Rex Dieter 2007-03-04 22:31:41 UTC
rpmlint's output is all mostly harmless, not a blocker, imo.

SHOULD include:
+%doc README  korganizer/COPYING

The rest is clean and conformant, APPROVED.



Comment 6 Ngo Than 2007-03-05 16:00:14 UTC
i have aleady merged the change. Please take a look at kdepim-3_5_6-3_fc7 in 
rawhide


Note You need to log in before you can comment on or make changes to this bug.